> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all approval requests > Get detailed information of all approval requests that the current user has access to. ## OpenAPI ````json GET /v1/approval_requests { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/approval_requests": { "get": { "tags": [ "ApprovalRequests" ], "summary": "Get all approval requests", "description": "Get detailed information of all approval requests that the current user has access to.", "operationId": "getAllApprovalRequests", "parameters": [ { "name": "requester", "in": "query", "description": "Only retrieve approval requests with the specified requester ID", "schema": { "type": "string", "format": "uuid" } }, { "name": "reviewer", "in": "query", "description": "Only retrieve approval requests with the specified reviewer ID", "schema": { "type": "string", "format": "uuid" } }, { "name": "subject", "in": "query", "description": "Only retrieve approval requests with the specified subject ID", "schema": { "type": "string", "format": "uuid" } }, { "name": "status", "in": "query", "description": "Only retrieve approval requests with the specified approval status", "schema": { "enum": [ "PENDING", "APPROVED", "DENIED", "FAILED" ], "type": "string" } }, { "name": "all_search", "in": "query", "description": "Search on name or description.", "schema": { "type": "string" } }, { "name": "sort_by", "in": "query", "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of app configs to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of app configs to skip from start.", "schema": { "type": "integer" } }, { "name": "filter", "in": "query", "description": "Filter items based on groups or labels.", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Search result for approval request objects.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllApprovalRequests" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllApprovalRequests": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/ApprovalRequest" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "ApprovalRequest": { "required": [ "request_id", "requester", "created_at", "acct_id", "group_id", "operation", "method", "approvers", "status", "expiry" ], "type": "object", "properties": { "request_id": { "type": "string", "description": "UUID uniquely identifying this approval request.", "format": "uuid" }, "requester": { "$ref": "#/components/schemas/Entity" }, "created_at": { "type": "integer", "description": "When this approval request was created.", "format": "int64" }, "acct_id": { "type": "string", "description": "The account ID of the account that this approval request belongs to.", "format": "uuid" }, "group_id": { "type": "string", "description": "The group ID where this approval request belongs to.", "format": "uuid" }, "operation": { "type": "string", "description": "Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/`." }, "method": { "type": "string", "description": "Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST." }, "body": { "type": "object" }, "approvers": { "type": "array", "items": { "$ref": "#/components/schemas/Entity" } }, "denier": { "$ref": "#/components/schemas/Entity" }, "denial_reason": { "type": "string", "description": "Reason given by denier." }, "reviewers": { "type": "array", "items": { "$ref": "#/components/schemas/Entity" } }, "status": { "$ref": "#/components/schemas/ApprovalRequestStatus" }, "subjects": { "type": "array", "items": { "$ref": "#/components/schemas/ApprovalSubject" } }, "description": { "type": "string", "description": "Optional comment about the approval request for the reviewer." }, "expiry": { "type": "integer", "description": "When this approval request expires.", "format": "int64" } } }, "Entity": { "type": "object", "properties": { "user": { "type": "string", "description": "The user ID of the user who created this entity, if this entity was created by a user.", "format": "uuid" } }, "description": "An app, user, or plugin ID." }, "ApprovalRequestStatus": { "enum": [ "PENDING", "APPROVED", "DENIED", "FAILED", "DENIED_OTHER", "PENDING_CHILD", "PENDING_OTHER" ], "type": "string", "description": "Approval request status." }, "ApprovalSubject": { "type": "object", "properties": { "workflow": { "type": "string", "description": "The ID of the workflow being acted upon.", "format": "uuid" } }, "description": "Identifies an object acted upon by an approval request." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````